Loading...
Searching...
No Matches
svn_io_dirent_t Struct Reference

Represents the kind and special status of a directory entry. More...

`#include <svn_io.h>`

## Data Fields

svn_node_kind_t | kind
| The kind of this entry.
svn_boolean_t | special
| If `kind` is svn_node_file, whether this entry is a special file; else FALSE.

## Detailed Description

Represents the kind and special status of a directory entry.

Note that the first two fields are exactly identical to svn_io_dirent2_t to allow returning a svn_io_dirent2_t as a svn_io_dirent_t.

Since
  New in 1.3.

Definition at line 123 of file svn_io.h.

## Field Documentation

## kind

svn_node_kind_t svn_io_dirent_t::kind

The kind of this entry.

Definition at line 125 of file svn_io.h.

## special

svn_boolean_t svn_io_dirent_t::special

If `kind` is svn_node_file, whether this entry is a special file; else FALSE.

See also
  svn_io_check_special_path().

Definition at line 131 of file svn_io.h.

The documentation for this struct was generated from the following file:

- svn_io.h